Bug 191920 - src.conf.5 does not document options in kern.opts.mk
Summary: src.conf.5 does not document options in kern.opts.mk
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: misc (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: Warner Losh
URL:
Keywords:
Depends on:
Blocks: 191930
  Show dependency treegraph
 
Reported: 2014-07-17 12:32 UTC by Ed Maste
Modified: 2015-07-08 18:15 UTC (History)
2 users (show)

See Also:
emaste: mfc-stable8-
emaste: mfc-stable9-
emaste: mfc-stable10?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2014-07-17 12:32:21 UTC
r265785 introduced kern.opts.mk for kernel options, but did not update make showconfig and/or tools/build/options/makeman, so a subsequent regeneration of src.conf.5 in r266158 removed the description for kernel options like MK_DEBUG_SYMBOLS

A fix is fairly straightforward, but I'm not sure if there are plans to evolve the kernel/userland config so I'll let Warner choose the best fix.
Comment 1 Ed Maste freebsd_committer 2014-10-21 19:45:39 UTC
Possible approach from Warner,
-    @${MAKE} -n -f src.opts.mk -V dummy -dg1 2>&1 | grep ^MK_ | sort
+    @(${MAKE} -n -f src.opts.mk -V dummy -dg1 2>&1; \
+      ${MAKE} -n -f sys/conf/kern.opts.mk -V dummy -dg1 2>&1) | grep ^MK_ | sort
Comment 2 commit-hook freebsd_committer 2014-10-21 20:30:31 UTC
A commit references this bug:

Author: imp
Date: Tue Oct 21 20:29:51 UTC 2014
New revision: 273418
URL: https://svnweb.freebsd.org/changeset/base/273418

Log:
  Generate both userland and kernel option settings for showconfig.

  PR: 191920

Changes:
  head/Makefile.inc1
Comment 3 Glen Barber freebsd_committer 2015-07-08 18:15:33 UTC
Close PRs that have had a corresponding fix committed.